import request from '@/config/axios'

// 设备资料 VO
export interface FilesVO {
  id: number // 主键
  deviceId: number // 设备ID
  model: number // 资料分类
  fileName: number // 资料名称
  fileUrl: number // 资料路径
  sort: number // 显示顺序
}

// 设备资料 API
export const FilesApi = {
  // 查询设备资料分页
  getFilesPage: async (params: any) => {
    return await request.get({ url: `/device/files/page`, params })
  },

  // 查询设备资料详情
  getFiles: async (id: number) => {
    return await request.get({ url: `/device/files/get?id=` + id })
  },
  // 查询设备资料详情
  listByDeviceId: async (deviceId: number) => {
    return await request.get({ url: `/device/files/listByDeviceId?deviceId=` + deviceId })
  },

  // 新增设备资料
  createFiles: async (data: FilesVO) => {
    return await request.post({ url: `/device/files/create`, data })
  },

  // 修改设备资料
  updateFiles: async (data: FilesVO) => {
    return await request.put({ url: `/device/files/update`, data })
  },

  // 删除设备资料
  deleteFiles: async (id: number) => {
    return await request.delete({ url: `/device/files/delete?id=` + id })
  },

  // 导出设备资料 Excel
  exportFiles: async (params) => {
    return await request.download({ url: `/device/files/export-excel`, params })
  },
}
